Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class CreateBucketRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.s3.model.CreateBucketRequest

    public class CreateBucketRequest

extends AmazonWebServiceRequest

Creates the specified bucket.

Constructor Summary
`CreateBucketRequest(String bucketName)` Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the US_Standard region.
`CreateBucketRequest(String bucketName, Region region)` Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the specified region.
`CreateBucketRequest(String bucketName, String region)` Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the specified region.

Method Summary
`String` | `getBucketName()` Returns the name of the Amazon S3 bucket to create.
`String` | `getRegion()` Returns the name of the Amazon S3 region in which this bucket will be created.
`void` | `setBucketName(String bucketName)` Sets the name of the Amazon S3 bucket to create.
`void` | `setRegion(String region)` Sets the name of the Amazon S3 region in which this bucket will be created.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateBucketRequest

    public CreateBucketRequest(String bucketName)

  Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the US_Standard region.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket to create.

### CreateBucketRequest

    public CreateBucketRequest(String bucketName,
                               Region region)

  Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the specified region.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket to create.
    `region` - The region in which to create this bucket.

### CreateBucketRequest

    public CreateBucketRequest(String bucketName,
                               String region)

  Constructs a new CreateBucketRequest, ready to be executed and create the specified bucket in the specified region.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket to create.
    `region` - The region in which to create this bucket.

Method Detail

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket to create.

  Parameters:
    `bucketName` - the name of the Amazon S3 bucket to create.

### getBucketName

    public String getBucketName()

  Returns the name of the Amazon S3 bucket to create.

  Returns:
    the name of the Amazon S3 bucket to create.

### setRegion

    public void setRegion(String region)

  Sets the name of the Amazon S3 region in which this bucket will be created.

  Parameters:
    `region` - the name of the Amazon S3 region in which this bucket will be created.

### getRegion

    public String getRegion()

  Returns the name of the Amazon S3 region in which this bucket will be created.

  Returns:
    the name of the Amazon S3 region in which this bucket will be created.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.